clc; clear all;close all
[hlavicka,fasta]=fastaread('pokus.fasta');


sig{1}=fasta(1:9000);
sig{2}=fasta(8001:17000);

okno=1000;


% vektory bazí
a=1+1i;c=-1-1i;g=-1+1i;t=1-1i;
for i=1:2
    delka_cteni(i)=length(sig{i});
    zapis=zeros(1,delka_cteni(i),'double');
    zapis(sig{i}=='A')=angle(a);
    zapis(sig{i}=='C')=angle(c);
    zapis(sig{i}=='G')=angle(g);
    zapis(sig{i}=='T')=angle(t);    
    KontigNum{i,1}=cumsum(zapis);    
end


xsig{1}=KontigNum{1}(9000-okno+1:end);
xsig{2}=KontigNum{2}(1:okno);



% [XCorelCoef,lag]=xcov(xsig{1},xsig{2},'coeff');
[XCorelCoef,lag]=xcorr(xsig{1},xsig{2},'coeff');

[MAX,poziceMAX]=max(XCorelCoef);
[MIN,poziceMIN]=min(XCorelCoef);
% 
figure,plot([1:2000],KontigNum{1}(7001:end)),hold all,plot([1001:3000],KontigNum{2}(1:2000)),title('Kontig s překryvem o délce 1000bp')
xlabel('Pozice [-]')
ylabel('Fáze [rad]')

figure,plot(lag,XCorelCoef)
xlabel('Zpoždění [-]')
ylabel('Normalizovaná kovariance')

